Index: CKEditor/trunk/_source/lang/fa.js
===================================================================
--- CKEditor/trunk/_source/lang/fa.js	(revision 5181)
+++ CKEditor/trunk/_source/lang/fa.js	(revision 5189)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Rich text editor, %1', // MISSING
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'فرم',
 		checkbox		: 'خانهٴ گزینهای',
-		radio		: 'دکمهٴ رادیویی',
+		radio			: 'دکمهٴ رادیویی',
 		textField		: 'فیلد متنی',
 		textarea		: 'ناحیهٴ متنی',
 		hiddenField		: 'فیلد پنهان',
 		button			: 'دکمه',
-		select	: 'فیلد چندگزینهای',
+		select			: 'فیلد چندگزینهای',
 		imageButton		: 'دکمهٴ تصویری',
 		notSet			: '<تعیننشده>',
@@ -89,9 +93,17 @@
 		ok				: 'پذیرش',
 		cancel			: 'انصراف',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'General', // MISSING
 		advancedTab		: 'پیشرفته',
-		validateNumberFailed	: 'This value is not a number.', // MISSING
+		validateNumberFailed : 'This value is not a number.', // MISSING
 		confirmNewPage	: 'Any unsaved changes to this content will be lost. Are you sure you want to load new page?', // MISSING
 		confirmCancel	: 'Some of the options have been changed. Are you sure to close the dialog?', // MISSING
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'پیشرفته',
 		type		: 'نوع پیوند',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'لنگر در همین صفحه',
 		toEmail		: 'پست الکترونیکی',
-		target		: 'مقصد',
-		targetNotSet	: '<تعیننشده>',
-		targetFrame	: '<فریم>',
-		targetPopup	: '<پنجرهٴ پاپاپ>',
-		targetNew	: 'پنجرهٴ دیگر (_blank)',
-		targetTop	: 'بالاترین پنجره (_top)',
-		targetSelf	: 'همان پنجره (_self)',
-		targetParent	: 'پنجرهٴ والد (_parent)',
+		targetFrame		: '<فریم>',
+		targetPopup		: '<پنجرهٴ پاپاپ>',
 		targetFrameName	: 'نام فریم مقصد',
 		targetPopupName	: 'نام پنجرهٴ پاپاپ',
@@ -132,5 +139,5 @@
 		popupResizable	: 'Resizable', // MISSING
 		popupStatusBar	: 'نوار وضعیت',
-		popupLocationBar	: 'نوار موقعیت',
+		popupLocationBar: 'نوار موقعیت',
 		popupToolbar	: 'نوارابزار',
 		popupMenuBar	: 'نوار منو',
@@ -144,5 +151,4 @@
 		id				: 'Id', // MISSING
 		langDir			: 'جهتنمای زبان',
-		langDirNotSet	: '<تعیننشده>',
 		langDirLTR		: 'چپ به راست (LTR)',
 		langDirRTL		: 'راست به چپ (RTL)',
@@ -204,5 +210,4 @@
 		border		: 'اندازهٴ لبه',
 		align		: 'چینش',
-		alignNotSet	: '<تعیننشده>',
 		alignLeft	: 'چپ',
 		alignCenter	: 'وسط',
@@ -211,4 +216,5 @@
 		widthPx		: 'پیکسل',
 		widthPc		: 'درصد',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'درازا',
 		cellSpace	: 'فاصلهٴ میان سلولها',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: 'Rows span must be a whole number.', // MISSING
 			invalidColSpan	: 'Columns span must be a whole number.', // MISSING
-			chooseColor : 'Choose' // MISSING
+			chooseColor		: 'Choose' // MISSING
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'رویداد',
 		method		: 'متد',
-		encoding	: 'Encoding', // MISSING
-		target		: 'مقصد',
-		targetNotSet	: '<تعیننشده>',
-		targetNew	: 'پنجرهٴ دیگر (_blank)',
-		targetTop	: 'بالاترین پنجره (_top)',
-		targetSelf	: 'همان پنجره (_self)',
-		targetParent	: 'پنجرهٴ والد (_parent)'
+		encoding	: 'Encoding' // MISSING
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'ویژگیهای دکمهٴ تصویری',
 		menu		: 'ویژگیهای تصویر',
-		infoTab	: 'اطلاعات تصویر',
+		infoTab		: 'اطلاعات تصویر',
 		btnUpload	: 'به سرور بفرست',
-		url		: 'URL',
-		upload	: 'انتقال به سرور',
-		alt		: 'متن جایگزین',
+		upload		: 'انتقال به سرور',
+		alt			: 'متن جایگزین',
 		width		: 'پهنا',
-		height	: 'درازا',
+		height		: 'درازا',
 		lockRatio	: 'قفلکردن ِنسبت',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'بازنشانی اندازه',
-		border	: 'لبه',
-		hSpace	: 'فاصلهٴ افقی',
-		vSpace	: 'فاصلهٴ عمودی',
+		border		: 'لبه',
+		hSpace		: 'فاصلهٴ افقی',
+		vSpace		: 'فاصلهٴ عمودی',
 		align		: 'چینش',
 		alignLeft	: 'چپ',
 		alignRight	: 'راست',
-		preview	: 'پیشنمایش',
 		alertUrl	: 'لطفا URL تصویر را بنویسید',
-		linkTab	: 'پیوند',
+		linkTab		: 'پیوند',
 		button2Img	: 'Do you want to transform the selected image button on a simple image?', // MISSING
 		img2Button	: 'Do you want to transform the selected image on a image button?', // MISSING
-		urlMissing : 'Image source URL is missing.' // MISSING
+		urlMissing	: 'Image source URL is missing.', // MISSING
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'ویژگیهای Flash',
 		propertiesTab	: 'Properties', // MISSING
-		title		: 'ویژگیهای Flash',
-		chkPlay		: 'آغاز ِخودکار',
-		chkLoop		: 'اجرای پیاپی',
-		chkMenu		: 'دردسترسبودن منوی Flash',
-		chkFull		: 'Allow Fullscreen', // MISSING
- 		scale		: 'مقیاس',
+		title			: 'ویژگیهای Flash',
+		chkPlay			: 'آغاز ِخودکار',
+		chkLoop			: 'اجرای پیاپی',
+		chkMenu			: 'دردسترسبودن منوی Flash',
+		chkFull			: 'Allow Fullscreen', // MISSING
+ 		scale			: 'مقیاس',
 		scaleAll		: 'نمایش همه',
 		scaleNoBorder	: 'بدون کران',
@@ -411,38 +415,38 @@
 		access			: 'Script Access', // MISSING
 		accessAlways	: 'Always', // MISSING
-		accessSameDomain	: 'Same domain', // MISSING
-		accessNever	: 'Never', // MISSING
-		align		: 'چینش',
-		alignLeft	: 'چپ',
-		alignAbsBottom: 'پائین مطلق',
-		alignAbsMiddle: 'وسط مطلق',
+		accessSameDomain: 'Same domain', // MISSING
+		accessNever		: 'Never', // MISSING
+		align			: 'چینش',
+		alignLeft		: 'چپ',
+		alignAbsBottom	: 'پائین مطلق',
+		alignAbsMiddle	: 'وسط مطلق',
 		alignBaseline	: 'خطپایه',
-		alignBottom	: 'پائین',
-		alignMiddle	: 'وسط',
-		alignRight	: 'راست',
+		alignBottom		: 'پائین',
+		alignMiddle		: 'وسط',
+		alignRight		: 'راست',
 		alignTextTop	: 'متن بالا',
-		alignTop	: 'بالا',
-		quality		: 'Quality', // MISSING
-		qualityBest		 : 'Best', // MISSING
-		qualityHigh		 : 'High', // MISSING
-		qualityAutoHigh	 : 'Auto High', // MISSING
-		qualityMedium	 : 'Medium', // MISSING
-		qualityAutoLow	 : 'Auto Low', // MISSING
-		qualityLow		 : 'Low', // MISSING
-		windowModeWindow	 : 'Window', // MISSING
-		windowModeOpaque	 : 'Opaque', // MISSING
-		windowModeTransparent	 : 'Transparent', // MISSING
-		windowMode	: 'Window mode', // MISSING
-		flashvars	: 'Variables for Flash', // MISSING
-		bgcolor	: 'رنگ پسزمینه',
-		width	: 'پهنا',
-		height	: 'درازا',
-		hSpace	: 'فاصلهٴ افقی',
-		vSpace	: 'فاصلهٴ عمودی',
-		validateSrc : 'لطفا URL پیوند را بنویسید',
-		validateWidth : 'Width must be a number.', // MISSING
-		validateHeight : 'Height must be a number.', // MISSING
-		validateHSpace : 'HSpace must be a number.', // MISSING
-		validateVSpace : 'VSpace must be a number.' // MISSING
+		alignTop		: 'بالا',
+		quality			: 'Quality', // MISSING
+		qualityBest		: 'Best', // MISSING
+		qualityHigh		: 'High', // MISSING
+		qualityAutoHigh	: 'Auto High', // MISSING
+		qualityMedium	: 'Medium', // MISSING
+		qualityAutoLow	: 'Auto Low', // MISSING
+		qualityLow		: 'Low', // MISSING
+		windowModeWindow: 'Window', // MISSING
+		windowModeOpaque: 'Opaque', // MISSING
+		windowModeTransparent : 'Transparent', // MISSING
+		windowMode		: 'Window mode', // MISSING
+		flashvars		: 'Variables for Flash', // MISSING
+		bgcolor			: 'رنگ پسزمینه',
+		width			: 'پهنا',
+		height			: 'درازا',
+		hSpace			: 'فاصلهٴ افقی',
+		vSpace			: 'فاصلهٴ عمودی',
+		validateSrc		: 'لطفا URL پیوند را بنویسید',
+		validateWidth	: 'Width must be a number.', // MISSING
+		validateHeight	: 'Height must be a number.', // MISSING
+		validateHSpace	: 'HSpace must be a number.', // MISSING
+		validateVSpace	: 'VSpace must be a number.' // MISSING
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path',  // MISSING
 		eleTitle : '%1 element' // MISSING
 	},
 
-	numberedlist : 'فهرست شمارهدار',
-	bulletedlist : 'فهرست نقطهای',
-	indent : 'افزایش تورفتگی',
-	outdent : 'کاهش تورفتگی',
+	numberedlist	: 'فهرست شمارهدار',
+	bulletedlist	: 'فهرست نقطهای',
+	indent			: 'افزایش تورفتگی',
+	outdent			: 'کاهش تورفتگی',
 
 	justify :
 	{
-		left : 'چپچین',
-		center : 'میانچین',
-		right : 'راستچین',
-		block : 'بلوکچین'
+		left	: 'چپچین',
+		center	: 'میانچین',
+		right	: 'راستچین',
+		block	: 'بلوکچین'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: 'تنظیمات امنیتی مرورگر شما اجازه نمیدهد که ویرایشگر به طور خودکار عملکردهای کپیکردن را انجام دهد. لطفا با دکمههای صفحهکلید این کار را انجام دهید (Ctrl+C).',
 		pasteMsg	: 'لطفا متن را با کلیدهای (<STRONG>Ctrl+V</STRONG>) در این جعبهٴ متنی بچسبانید و <STRONG>پذیرش</STRONG> را بزنید.',
-		securityMsg	: 'به خاطر تنظیمات امنیتی مرورگر شما، ویرایشگر نمیتواند دسترسی مستقیم به دادههای clipboard داشته باشد. شما باید دوباره آنرا در این پنجره بچسبانید.'
+		securityMsg	: 'به خاطر تنظیمات امنیتی مرورگر شما، ویرایشگر نمیتواند دسترسی مستقیم به دادههای clipboard داشته باشد. شما باید دوباره آنرا در این پنجره بچسبانید.',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
-		toolbar : 'چسباندن از Word',
-		title : 'چسباندن از Word',
-		error : 'It was not possible to clean up the pasted data due to an internal error' // MISSING
+		confirmCleanup	: 'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?', // MISSING
+		toolbar			: 'چسباندن از Word',
+		title			: 'چسباندن از Word',
+		error			: 'It was not possible to clean up the pasted data due to an internal error' // MISSING
 	},
 
 	pasteText :
 	{
-		button : 'چسباندن به عنوان متن ِساده',
-		title : 'چسباندن به عنوان متن ِساده'
+		button	: 'چسباندن به عنوان متن ِساده',
+		title	: 'چسباندن به عنوان متن ِساده'
 	},
 
 	templates :
 	{
-		button : 'الگوها',
-		title : 'الگوهای محتویات',
-		insertOption: 'محتویات کنونی جایگزین شوند',
-		selectPromptMsg: 'لطفا الگوی موردنظر را برای بازکردن در ویرایشگر برگزینید<br>(محتویات کنونی از دست خواهند رفت):',
-		emptyListMsg : '(الگوئی تعریف نشده است)'
+		button			: 'الگوها',
+		title			: 'الگوهای محتویات',
+		insertOption	: 'محتویات کنونی جایگزین شوند',
+		selectPromptMsg	: 'لطفا الگوی موردنظر را برای بازکردن در ویرایشگر برگزینید<br>(محتویات کنونی از دست خواهند رفت):',
+		emptyListMsg	: '(الگوئی تعریف نشده است)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'سبک',
-		voiceLabel : 'Styles', // MISSING
-		panelVoiceLabel : 'Select a style', // MISSING
-		panelTitle1 : 'Block Styles', // MISSING
-		panelTitle2 : 'Inline Styles', // MISSING
-		panelTitle3 : 'Object Styles' // MISSING
+		label		: 'سبک',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'Block Styles', // MISSING
+		panelTitle2	: 'Inline Styles', // MISSING
+		panelTitle3	: 'Object Styles' // MISSING
 	},
 
 	format :
 	{
-		label : 'فرمت',
-		voiceLabel : 'Format', // MISSING
-		panelTitle : 'فرمت',
-		panelVoiceLabel : 'Select a paragraph format', // MISSING
-
-		tag_p : 'نرمال',
-		tag_pre : 'فرمتشده',
-		tag_address : 'آدرس',
-		tag_h1 : 'سرنویس 1',
-		tag_h2 : 'سرنویس 2',
-		tag_h3 : 'سرنویس 3',
-		tag_h4 : 'سرنویس 4',
-		tag_h5 : 'سرنویس 5',
-		tag_h6 : 'سرنویس 6',
-		tag_div : 'بند'
+		label		: 'فرمت',
+		panelTitle	: 'فرمت',
+
+		tag_p		: 'نرمال',
+		tag_pre		: 'فرمتشده',
+		tag_address	: 'آدرس',
+		tag_h1		: 'سرنویس 1',
+		tag_h2		: 'سرنویس 2',
+		tag_h3		: 'سرنویس 3',
+		tag_h4		: 'سرنویس 4',
+		tag_h5		: 'سرنویس 5',
+		tag_h6		: 'سرنویس 6',
+		tag_div		: 'بند'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'قلم',
-		voiceLabel : 'Font', // MISSING
-		panelTitle : 'قلم',
-		panelVoiceLabel : 'Select a font' // MISSING
+		label		: 'قلم',
+		voiceLabel	: 'Font', // MISSING
+		panelTitle	: 'قلم'
 	},
 
 	fontSize :
 	{
-		label : 'اندازه',
-		voiceLabel : 'Font Size', // MISSING
-		panelTitle : 'اندازه',
-		panelVoiceLabel : 'Select a font size' // MISSING
+		label		: 'اندازه',
+		voiceLabel	: 'Font Size', // MISSING
+		panelTitle	: 'اندازه'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'رنگ متن',
-		bgColorTitle : 'رنگ پسزمینه',
-		auto : 'خودکار',
-		more : 'رنگهای بیشتر...'
+		textColorTitle	: 'رنگ متن',
+		bgColorTitle	: 'رنگ پسزمینه',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'خودکار',
+		more			: 'رنگهای بیشتر...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'Spell Check As You Type', // MISSING
-		enable : 'Enable SCAYT', // MISSING
-		disable : 'Disable SCAYT', // MISSING
-		about : 'About SCAYT', // MISSING
-		toggle : 'Toggle SCAYT', // MISSING
-		options : 'Options', // MISSING
-		langs : 'Languages', // MISSING
-		moreSuggestions : 'More suggestions', // MISSING
-		ignore : 'Ignore', // MISSING
-		ignoreAll : 'Ignore All', // MISSING
-		addWord : 'Add Word', // MISSING
-		emptyDic : 'Dictionary name should not be empty.', // MISSING
-		optionsTab : 'Options', // MISSING
-		languagesTab : 'Languages', // MISSING
-		dictionariesTab : 'Dictionaries', // MISSING
-		aboutTab : 'About' // MISSING
+		title			: 'Spell Check As You Type', // MISSING
+		enable			: 'Enable SCAYT', // MISSING
+		disable			: 'Disable SCAYT', // MISSING
+		about			: 'About SCAYT', // MISSING
+		toggle			: 'Toggle SCAYT', // MISSING
+		options			: 'Options', // MISSING
+		langs			: 'Languages', // MISSING
+		moreSuggestions	: 'More suggestions', // MISSING
+		ignore			: 'Ignore', // MISSING
+		ignoreAll		: 'Ignore All', // MISSING
+		addWord			: 'Add Word', // MISSING
+		emptyDic		: 'Dictionary name should not be empty.', // MISSING
+		optionsTab		: 'Options', // MISSING
+		languagesTab	: 'Languages', // MISSING
+		dictionariesTab	: 'Dictionaries', // MISSING
+		aboutTab		: 'About' // MISSING
 	},
 
 	about :
 	{
-		title : 'About CKEditor', // MISSING
-		dlgTitle : 'About CKEditor', // MISSING
-		moreInfo : 'For licensing information please visit our web site:', // MISSING
-		copy : 'Copyright &copy; $1. All rights reserved.' // MISSING
+		title		: 'About CKEditor', // MISSING
+		dlgTitle	: 'About CKEditor', // MISSING
+		moreInfo	: 'For licensing information please visit our web site:', // MISSING
+		copy		: 'Copyright &copy; $1. All rights reserved.' // MISSING
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'Anchor', // MISSING
-		flash : 'Flash Animation', // MISSING
-		div : 'Page Break', // MISSING
-		unknown : 'Unknown Object' // MISSING
+		anchor	: 'Anchor', // MISSING
+		flash	: 'Flash Animation', // MISSING
+		div		: 'Page Break', // MISSING
+		unknown	: 'Unknown Object' // MISSING
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Select color', // MISSING
-		highlight : 'Highlight', // MISSING
-		selected : 'Selected', // MISSING
-		clear : 'Clear' // MISSING
-	},
-
-	toolbarCollapse : 'Collapse Toolbar', // MISSING
-	toolbarExpand : 'Expand Toolbar' // MISSING
+		title		: 'Select color', // MISSING
+		highlight	: 'Highlight', // MISSING
+		selected	: 'Selected', // MISSING
+		clear		: 'Clear' // MISSING
+	},
+
+	toolbarCollapse	: 'Collapse Toolbar', // MISSING
+	toolbarExpand	: 'Expand Toolbar' // MISSING
 };
Index: CKEditor/trunk/_source/lang/fi.js
===================================================================
--- CKEditor/trunk/_source/lang/fi.js	(revision 5181)
+++ CKEditor/trunk/_source/lang/fi.js	(revision 5189)
@@ -1,3 +1,3 @@
-﻿/*
+/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -32,5 +32,9 @@
 	 * of reading non-English words. So be careful while translating it.
 	 */
-	editorTitle		: 'Tekstieditori, %1',
+	editorTitle : 'Rich text editor, %1, press ALT 0 for help.', // MISSING
+
+	// ARIA descriptions.
+	toolbar	: 'Toolbar', // MISSING
+	editor	: 'Rich Text Editor', // MISSING
 
 	// Toolbar buttons without dialogs.
@@ -69,10 +73,10 @@
 		form			: 'Lomake',
 		checkbox		: 'Valintaruutu',
-		radio		: 'Radiopainike',
+		radio			: 'Radiopainike',
 		textField		: 'Tekstikenttä',
 		textarea		: 'Tekstilaatikko',
 		hiddenField		: 'Piilokenttä',
 		button			: 'Painike',
-		select	: 'Valintakenttä',
+		select			: 'Valintakenttä',
 		imageButton		: 'Kuvapainike',
 		notSet			: '<ei asetettu>',
@@ -89,9 +93,17 @@
 		ok				: 'OK',
 		cancel			: 'Peruuta',
+		close			: 'Close', // MISSING
+		preview			: 'Preview', // MISSING
 		generalTab		: 'Yleinen',
 		advancedTab		: 'Lisäominaisuudet',
-		validateNumberFailed	: 'Arvon pitää olla numero.',
+		validateNumberFailed : 'Arvon pitää olla numero.',
 		confirmNewPage	: 'Kaikki tallentamattomat muutokset tähän sisältöön menetetään. Oletko varma, että haluat ladata uuden sivun?',
 		confirmCancel	: 'Jotkut asetuksista on muuttuneet. Oletko varma, että haluat sulkea valintaikkunan?',
+		options			: 'Options', // MISSING
+		target			: 'Target', // MISSING
+		targetNew		: 'New Window (_blank)', // MISSING
+		targetTop		: 'Topmost Window (_top)', // MISSING
+		targetSelf		: 'Same Window (_self)', // MISSING
+		targetParent	: 'Parent Window (_parent)', // MISSING
 
 		// Put the voice-only part of the label in the span.
@@ -117,14 +129,9 @@
 		advanced	: 'Lisäominaisuudet',
 		type		: 'Linkkityyppi',
+		toUrl		: 'URL', // MISSING
 		toAnchor	: 'Ankkuri tässä sivussa',
 		toEmail		: 'Sähköposti',
-		target		: 'Kohde',
-		targetNotSet	: '<ei asetettu>',
-		targetFrame	: '<kehys>',
-		targetPopup	: '<popup ikkuna>',
-		targetNew	: 'Uusi ikkuna (_blank)',
-		targetTop	: 'Päällimmäisin ikkuna (_top)',
-		targetSelf	: 'Sama ikkuna (_self)',
-		targetParent	: 'Emoikkuna (_parent)',
+		targetFrame		: '<kehys>',
+		targetPopup		: '<popup ikkuna>',
 		targetFrameName	: 'Kohdekehyksen nimi',
 		targetPopupName	: 'Popup ikkunan nimi',
@@ -132,5 +139,5 @@
 		popupResizable	: 'Venytettävä',
 		popupStatusBar	: 'Tilarivi',
-		popupLocationBar	: 'Osoiterivi',
+		popupLocationBar: 'Osoiterivi',
 		popupToolbar	: 'Vakiopainikkeet',
 		popupMenuBar	: 'Valikkorivi',
@@ -144,5 +151,4 @@
 		id				: 'Tunniste',
 		langDir			: 'Kielen suunta',
-		langDirNotSet	: '<ei asetettu>',
 		langDirLTR		: 'Vasemmalta oikealle (LTR)',
 		langDirRTL		: 'Oikealta vasemmalle (RTL)',
@@ -204,5 +210,4 @@
 		border		: 'Rajan paksuus',
 		align		: 'Kohdistus',
-		alignNotSet	: '<ei asetettu>',
 		alignLeft	: 'Vasemmalle',
 		alignCenter	: 'Keskelle',
@@ -211,4 +216,5 @@
 		widthPx		: 'pikseliä',
 		widthPc		: 'prosenttia',
+		widthUnit	: 'width unit', // MISSING
 		height		: 'Korkeus',
 		cellSpace	: 'Solujen väli',
@@ -261,5 +267,5 @@
 			invalidRowSpan	: 'Rivin jatkuvuuden täytyy olla kokonaisluku.',
 			invalidColSpan	: 'Solun jatkuvuuden täytyy olla kokonaisluku.',
-			chooseColor : 'Valitse'
+			chooseColor		: 'Valitse'
 		},
 
@@ -308,11 +314,5 @@
 		action		: 'Toiminto',
 		method		: 'Tapa',
-		encoding	: 'Enkoodaus',
-		target		: 'Kohde',
-		targetNotSet	: '<ei asetettu>',
-		targetNew	: 'Uusi ikkuna (_blank)',
-		targetTop	: 'Päällimmäisin ikkuna (_top)',
-		targetSelf	: 'Sama ikkuna (_self)',
-		targetParent	: 'Emoikkuna (_parent)'
+		encoding	: 'Enkoodaus'
 	},
 
@@ -372,25 +372,29 @@
 		titleButton	: 'Kuvapainikkeen ominaisuudet',
 		menu		: 'Kuvan ominaisuudet',
-		infoTab	: 'Kuvan tiedot',
+		infoTab		: 'Kuvan tiedot',
 		btnUpload	: 'Lähetä palvelimelle',
-		url		: 'Osoite',
-		upload	: 'Lisää kuva',
-		alt		: 'Vaihtoehtoinen teksti',
+		upload		: 'Lisää kuva',
+		alt			: 'Vaihtoehtoinen teksti',
 		width		: 'Leveys',
-		height	: 'Korkeus',
+		height		: 'Korkeus',
 		lockRatio	: 'Lukitse suhteet',
+		unlockRatio	: 'Unlock Ratio', // MISSING
 		resetSize	: 'Alkuperäinen koko',
-		border	: 'Raja',
-		hSpace	: 'Vaakatila',
-		vSpace	: 'Pystytila',
+		border		: 'Raja',
+		hSpace		: 'Vaakatila',
+		vSpace		: 'Pystytila',
 		align		: 'Kohdistus',
 		alignLeft	: 'Vasemmalle',
 		alignRight	: 'Oikealle',
-		preview	: 'Esikatselu',
 		alertUrl	: 'Kirjoita kuvan osoite (URL)',
-		linkTab	: 'Linkki',
+		linkTab		: 'Linkki',
 		button2Img	: 'Haluatko muuntaa valitun kuvanäppäimen kuvaksi?',
 		img2Button	: 'Haluatko muuntaa valitun kuvan kuvanäppäimeksi?',
-		urlMissing : 'Kuvan lähdeosoite puuttuu.'
+		urlMissing	: 'Kuvan lähdeosoite puuttuu.',
+		validateWidth	: 'Width must be a whole number.', // MISSING
+		validateHeight	: 'Height must be a whole number.', // MISSING
+		validateBorder	: 'Border must be a whole number.', // MISSING
+		validateHSpace	: 'HSpace must be a whole number.', // MISSING
+		validateVSpace	: 'VSpace must be a whole number.' // MISSING
 	},
 
@@ -400,10 +404,10 @@
 		properties		: 'Flash ominaisuudet',
 		propertiesTab	: 'Ominaisuudet',
-		title		: 'Flash ominaisuudet',
-		chkPlay		: 'Automaattinen käynnistys',
-		chkLoop		: 'Toisto',
-		chkMenu		: 'Näytä Flash-valikko',
-		chkFull		: 'Salli kokoruututila',
- 		scale		: 'Levitä',
+		title			: 'Flash ominaisuudet',
+		chkPlay			: 'Automaattinen käynnistys',
+		chkLoop			: 'Toisto',
+		chkMenu			: 'Näytä Flash-valikko',
+		chkFull			: 'Salli kokoruututila',
+ 		scale			: 'Levitä',
 		scaleAll		: 'Näytä kaikki',
 		scaleNoBorder	: 'Ei rajaa',
@@ -411,38 +415,38 @@
 		access			: 'Skriptien pääsy',
 		accessAlways	: 'Aina',
-		accessSameDomain	: 'Sama verkkotunnus',
-		accessNever	: 'Ei koskaan',
-		align		: 'Kohdistus',
-		alignLeft	: 'Vasemmalle',
-		alignAbsBottom: 'Aivan alas',
-		alignAbsMiddle: 'Aivan keskelle',
+		accessSameDomain: 'Sama verkkotunnus',
+		accessNever		: 'Ei koskaan',
+		align			: 'Kohdistus',
+		alignLeft		: 'Vasemmalle',
+		alignAbsBottom	: 'Aivan alas',
+		alignAbsMiddle	: 'Aivan keskelle',
 		alignBaseline	: 'Alas (teksti)',
-		alignBottom	: 'Alas',
-		alignMiddle	: 'Keskelle',
-		alignRight	: 'Oikealle',
+		alignBottom		: 'Alas',
+		alignMiddle		: 'Keskelle',
+		alignRight		: 'Oikealle',
 		alignTextTop	: 'Ylös (teksti)',
-		alignTop	: 'Ylös',
-		quality		: 'Laatu',
-		qualityBest		 : 'Paras',
-		qualityHigh		 : 'Korkea',
-		qualityAutoHigh	 : 'Automaattinen korkea',
-		qualityMedium	 : 'Keskitaso',
-		qualityAutoLow	 : 'Automaattinen matala',
-		qualityLow		 : 'Matala',
-		windowModeWindow	 : 'Ikkuna',
-		windowModeOpaque	 : 'Läpinäkyvyys',
-		windowModeTransparent	 : 'Läpinäkyvä',
-		windowMode	: 'Ikkuna tila',
-		flashvars	: 'Muuttujat Flash:lle',
-		bgcolor	: 'Taustaväri',
-		width	: 'Leveys',
-		height	: 'Korkeus',
-		hSpace	: 'Vaakatila',
-		vSpace	: 'Pystytila',
-		validateSrc : 'Linkille on kirjoitettava URL',
-		validateWidth : 'Leveyden täytyy olla numero.',
-		validateHeight : 'Korkeuden täytyy olla numero.',
-		validateHSpace : 'Vaakatilan täytyy olla numero.',
-		validateVSpace : 'Pystytilan täytyy olla numero.'
+		alignTop		: 'Ylös',
+		quality			: 'Laatu',
+		qualityBest		: 'Paras',
+		qualityHigh		: 'Korkea',
+		qualityAutoHigh	: 'Automaattinen korkea',
+		qualityMedium	: 'Keskitaso',
+		qualityAutoLow	: 'Automaattinen matala',
+		qualityLow		: 'Matala',
+		windowModeWindow: 'Ikkuna',
+		windowModeOpaque: 'Läpinäkyvyys',
+		windowModeTransparent : 'Läpinäkyvä',
+		windowMode		: 'Ikkuna tila',
+		flashvars		: 'Muuttujat Flash:lle',
+		bgcolor			: 'Taustaväri',
+		width			: 'Leveys',
+		height			: 'Korkeus',
+		hSpace			: 'Vaakatila',
+		vSpace			: 'Pystytila',
+		validateSrc		: 'Linkille on kirjoitettava URL',
+		validateWidth	: 'Leveyden täytyy olla numero.',
+		validateHeight	: 'Korkeuden täytyy olla numero.',
+		validateHSpace	: 'Vaakatilan täytyy olla numero.',
+		validateVSpace	: 'Pystytilan täytyy olla numero.'
 	},
 
@@ -478,18 +482,19 @@
 	elementsPath :
 	{
+		eleLabel : 'Elements path',  // MISSING
 		eleTitle : '%1 elementti'
 	},
 
-	numberedlist : 'Numerointi',
-	bulletedlist : 'Luottelomerkit',
-	indent : 'Suurenna sisennystä',
-	outdent : 'Pienennä sisennystä',
+	numberedlist	: 'Numerointi',
+	bulletedlist	: 'Luottelomerkit',
+	indent			: 'Suurenna sisennystä',
+	outdent			: 'Pienennä sisennystä',
 
 	justify :
 	{
-		left : 'Tasaa vasemmat reunat',
-		center : 'Keskitä',
-		right : 'Tasaa oikeat reunat',
-		block : 'Tasaa molemmat reunat'
+		left	: 'Tasaa vasemmat reunat',
+		center	: 'Keskitä',
+		right	: 'Tasaa oikeat reunat',
+		block	: 'Tasaa molemmat reunat'
 	},
 
@@ -502,28 +507,29 @@
 		copyError	: 'Selaimesi turva-asetukset eivät salli editorin toteuttaa kopioimista. Käytä näppäimistöä kopioimiseen (Ctrl+C).',
 		pasteMsg	: 'Liitä painamalla (<STRONG>Ctrl+V</STRONG>) ja painamalla <STRONG>OK</STRONG>.',
-		securityMsg	: 'Selaimesi turva-asetukset eivät salli editorin käyttää leikepöytää suoraan. Sinun pitää suorittaa liittäminen tässä ikkunassa.'
+		securityMsg	: 'Selaimesi turva-asetukset eivät salli editorin käyttää leikepöytää suoraan. Sinun pitää suorittaa liittäminen tässä ikkunassa.',
+		pasteArea	: 'Paste Area' // MISSING
 	},
 
 	pastefromword :
 	{
-		confirmCleanup : 'Liittämäsi teksti näyttäisi olevan Word-dokumentista. Haluatko siivota sen ennen liittämistä? (Suositus: Kyllä)',
-		toolbar : 'Liitä Word-dokumentista',
-		title : 'Liitä Word-dokumentista',
-		error : 'Liitetyn tiedon siivoaminen ei onnistunut sisäisen virheen takia'
+		confirmCleanup	: 'Liittämäsi teksti näyttäisi olevan Word-dokumentista. Haluatko siivota sen ennen liittämistä? (Suositus: Kyllä)',
+		toolbar			: 'Liitä Word-dokumentista',
+		title			: 'Liitä Word-dokumentista',
+		error			: 'Liitetyn tiedon siivoaminen ei onnistunut sisäisen virheen takia'
 	},
 
 	pasteText :
 	{
-		button : 'Liitä tekstinä',
-		title : 'Liitä tekstinä'
+		button	: 'Liitä tekstinä',
+		title	: 'Liitä tekstinä'
 	},
 
 	templates :
 	{
-		button : 'Pohjat',
-		title : 'Sisältöpohjat',
-		insertOption: 'Korvaa editorin koko sisältö',
-		selectPromptMsg: 'Valitse pohja editoriin<br>(aiempi sisältö menetetään):',
-		emptyListMsg : '(Ei määriteltyjä pohjia)'
+		button			: 'Pohjat',
+		title			: 'Sisältöpohjat',
+		insertOption	: 'Korvaa editorin koko sisältö',
+		selectPromptMsg	: 'Valitse pohja editoriin<br>(aiempi sisältö menetetään):',
+		emptyListMsg	: '(Ei määriteltyjä pohjia)'
 	},
 
@@ -532,29 +538,26 @@
 	stylesCombo :
 	{
-		label : 'Tyyli',
-		voiceLabel : 'Tyylit',
-		panelVoiceLabel : 'Valitse tyyli',
-		panelTitle1 : 'Lohkojen tyylit',
-		panelTitle2 : 'Rivinsisäiset tyylit',
-		panelTitle3 : 'Objektien tyylit'
+		label		: 'Tyyli',
+		panelTitle	: 'Formatting Styles', // MISSING
+		panelTitle1	: 'Lohkojen tyylit',
+		panelTitle2	: 'Rivinsisäiset tyylit',
+		panelTitle3	: 'Objektien tyylit'
 	},
 
 	format :
 	{
-		label : 'Muotoilu',
-		voiceLabel : 'Muotoilu',
-		panelTitle : 'Muotoilu',
-		panelVoiceLabel : 'Valitse kappaleen muotoilu',
-
-		tag_p : 'Normaali',
-		tag_pre : 'Muotoiltu',
-		tag_address : 'Osoite',
-		tag_h1 : 'Otsikko 1',
-		tag_h2 : 'Otsikko 2',
-		tag_h3 : 'Otsikko 3',
-		tag_h4 : 'Otsikko 4',
-		tag_h5 : 'Otsikko 5',
-		tag_h6 : 'Otsikko 6',
-		tag_div : 'Normaali (DIV)'
+		label		: 'Muotoilu',
+		panelTitle	: 'Muotoilu',
+
+		tag_p		: 'Normaali',
+		tag_pre		: 'Muotoiltu',
+		tag_address	: 'Osoite',
+		tag_h1		: 'Otsikko 1',
+		tag_h2		: 'Otsikko 2',
+		tag_h3		: 'Otsikko 3',
+		tag_h4		: 'Otsikko 4',
+		tag_h5		: 'Otsikko 5',
+		tag_h6		: 'Otsikko 6',
+		tag_div		: 'Normaali (DIV)'
 	},
 
@@ -578,24 +581,23 @@
 	font :
 	{
-		label : 'Kirjaisinlaji',
-		voiceLabel : 'Kirjaisinlaji',
-		panelTitle : 'Kirjaisinlaji',
-		panelVoiceLabel : 'Valitse kirjaisinlaji'
+		label		: 'Kirjaisinlaji',
+		voiceLabel	: 'Kirjaisinlaji',
+		panelTitle	: 'Kirjaisinlaji'
 	},
 
 	fontSize :
 	{
-		label : 'Koko',
-		voiceLabel : 'Kirjaisimen koko',
-		panelTitle : 'Koko',
-		panelVoiceLabel : 'Valitse kirjaisimen koko'
+		label		: 'Koko',
+		voiceLabel	: 'Kirjaisimen koko',
+		panelTitle	: 'Koko'
 	},
 
 	colorButton :
 	{
-		textColorTitle : 'Tekstiväri',
-		bgColorTitle : 'Taustaväri',
-		auto : 'Automaattinen',
-		more : 'Lisää värejä...'
+		textColorTitle	: 'Tekstiväri',
+		bgColorTitle	: 'Taustaväri',
+		panelTitle		: 'Colors', // MISSING
+		auto			: 'Automaattinen',
+		more			: 'Lisää värejä...'
 	},
 
@@ -646,28 +648,28 @@
 	scayt :
 	{
-		title : 'Oikolue kirjoitettaessa',
-		enable : 'Ota käyttöön oikoluku kirjoitettaessa',
-		disable : 'Poista käytöstä oikoluku kirjoitetaessa',
-		about : 'Tietoja oikoluvusta kirjoitetaessa',
-		toggle : 'Vaihda oikoluku kirjoittaessa tilaa',
-		options : 'Asetukset',
-		langs : 'Kielet',
-		moreSuggestions : 'Lisää ehdotuksia',
-		ignore : 'Ohita',
-		ignoreAll : 'Ohita kaikki',
-		addWord : 'Lisää sana',
-		emptyDic : 'Sanakirjan nimi on annettava.',
-		optionsTab : 'Asetukset',
-		languagesTab : 'Kielet',
-		dictionariesTab : 'Sanakirjat',
-		aboutTab : 'Tietoa'
+		title			: 'Oikolue kirjoitettaessa',
+		enable			: 'Ota käyttöön oikoluku kirjoitettaessa',
+		disable			: 'Poista käytöstä oikoluku kirjoitetaessa',
+		about			: 'Tietoja oikoluvusta kirjoitetaessa',
+		toggle			: 'Vaihda oikoluku kirjoittaessa tilaa',
+		options			: 'Asetukset',
+		langs			: 'Kielet',
+		moreSuggestions	: 'Lisää ehdotuksia',
+		ignore			: 'Ohita',
+		ignoreAll		: 'Ohita kaikki',
+		addWord			: 'Lisää sana',
+		emptyDic		: 'Sanakirjan nimi on annettava.',
+		optionsTab		: 'Asetukset',
+		languagesTab	: 'Kielet',
+		dictionariesTab	: 'Sanakirjat',
+		aboutTab		: 'Tietoa'
 	},
 
 	about :
 	{
-		title : 'Tietoa CKEditorista',
-		dlgTitle : 'Tietoa CKEditorista',
-		moreInfo : 'Lisenssitiedot löytyvät kotisivuiltamme:',
-		copy : 'Copyright &copy; $1. Kaikki oikeuden pidätetään.'
+		title		: 'Tietoa CKEditorista',
+		dlgTitle	: 'Tietoa CKEditorista',
+		moreInfo	: 'Lisenssitiedot löytyvät kotisivuiltamme:',
+		copy		: 'Copyright &copy; $1. Kaikki oikeuden pidätetään.'
 	},
 
@@ -677,8 +679,8 @@
 	fakeobjects :
 	{
-		anchor : 'Ankkuri',
-		flash : 'Flash animaatio',
-		div : 'Sivun vaihto',
-		unknown : 'Tuntematon objekti'
+		anchor	: 'Ankkuri',
+		flash	: 'Flash animaatio',
+		div		: 'Sivun vaihto',
+		unknown	: 'Tuntematon objekti'
 	},
 
@@ -687,11 +689,11 @@
 	colordialog :
 	{
-		title : 'Valitse väri',
-		highlight : 'Korostus',
-		selected : 'Valittu',
-		clear : 'Poista'
-	},
-
-	toolbarCollapse : 'Kutista työkalupalkki',
-	toolbarExpand : 'Laajenna työkalupalkki'
+		title		: 'Valitse väri',
+		highlight	: 'Korostus',
+		selected	: 'Valittu',
+		clear		: 'Poista'
+	},
+
+	toolbarCollapse	: 'Kutista työkalupalkki',
+	toolbarExpand	: 'Laajenna työkalupalkki'
 };
